import{s as qe,f as De,n as Ue,o as Ge}from"../chunks/scheduler.389d799c.js";import{S as Fe,i as je,g as a,s,r as ke,A as Ve,h as o,f as n,c as l,j as Ee,u as Ae,x as r,k as oe,y as We,a as i,v as ze,d as Se,t as Re,w as Ie}from"../chunks/index.8f81d18f.js";import{H as Ne,E as Oe}from"../chunks/EditOnGithub.33306dfe.js";function Ye(re){let u,R,z,I,p,q,m,ue='We have seen how fast and easy it is to deploy an Endpoint in <a href="/docs/inference-endpoints/guides/create_endpoint">Create your first Endpoint</a>, but that’s not all you can manage. During the creation process and after selecting your Cloud Provider and Region, click on the [Advanced configuration] button to reveal further configuration options for your Endpoint.',D,c,pe="<strong>Instance type</strong>",U,f,me="🤗 Inference Endpoints offers a selection of curated CPU and GPU instances.",G,d,ce="<em>Note: Your Hugging Face account comes with a capacity quota for CPU and GPU instances. To increase your quota or request new instance types, please check with us.</em>",F,h,fe="<em>Default: CPU-medium</em>",j,v,de,V,T,he="<strong>Replica autoscaling</strong>",W,_,ve="Set the range (minimum (>=1) and maximum ) of replicas you want your Endpoint to automatically scale within based on utilization.",N,g,Te="<em>Default: min 1; max 2</em>",O,y,_e="<strong>Task</strong>",Y,w,ge='Select a <a href="/docs/inference-endpoints/supported_tasks">supported Machine Learning Task</a>, or set to <a href="/docs/inference-endpoints/guides/custom_handler">Custom</a>. <a href="/docs/inference-endpoints/guides/custom_handler">Custom</a> can/should be used when you are not using a Transformers-based model or when you want to customize the inference pipeline, see <a href="/docs/inference-endpoints/guides/custom_handler">Create your own Inference handler</a>.',B,C,ye="<em>Default: derived from the model repository.</em>",J,M,we="<strong>Framework</strong>",K,x,Ce="For Transformers models, if both PyTorch and TensorFlow weights are both available, you can select which model weights to use. This will help reduce the image artifact size and accelerate startups/scaling of your endpoints.",Q,H,Me="<em>Default: PyTorch if available.</em>",X,L,xe="<strong>Revision</strong>",Z,P,He="Create your Endpoint targeting a specific revision commit for its source Hugging Face Model Repository. This allows you to version your endpoint and make sure you are always using the same weights even if you are updating the Model Repository.",ee,b,Le="<em>Default: The most recent commit.</em>",te,$,Pe="<strong>Image</strong>",ne,k,be='Allows you to provide a custom container image you want to deploy into an Endpoint. Those can be public images, e.g <em>tensorflow/serving:2.7.3,</em> or private Images hosted on <a href="https://hub.docker.com/" rel="nofollow">Docker hub</a>, <a href="https://aws.amazon.com/ecr/?nc1=h_ls" rel="nofollow">AWS ECR</a>, <a href="https://azure.microsoft.com/de-de/services/container-registry/" rel="nofollow">Azure ACR</a>, or <a href="https://cloud.google.com/container-registry?hl=de" rel="nofollow">Google GCR</a>.',ie,E,$e='More on how to <a href="/docs/inference-endpoints/guides/custom_handler">“Use your own custom container”</a> below.',se,A,le,S,ae;return p=new Ne({props:{title:"Advanced Setup (Instance Types, Auto Scaling, Versioning)",local:"advanced-setup-instance-types-auto-scaling-versioning",headingTag:"h1"}}),A=new Oe({props:{source:"https://github.com/huggingface/hf-endpoints-documentation/blob/main/docs/source/guides/advanced.mdx"}}),{c(){u=a("meta"),R=s(),z=a("p"),I=s(),ke(p.$$.fragment),q=s(),m=a("p"),m.innerHTML=ue,D=s(),c=a("p"),c.innerHTML=pe,U=s(),f=a("p"),f.textContent=me,G=s(),d=a("p"),d.innerHTML=ce,F=s(),h=a("p"),h.innerHTML=fe,j=s(),v=a("img"),V=s(),T=a("p"),T.innerHTML=he,W=s(),_=a("p"),_.textContent=ve,N=s(),g=a("p"),g.innerHTML=Te,O=s(),y=a("p"),y.innerHTML=_e,Y=s(),w=a("p"),w.innerHTML=ge,B=s(),C=a("p"),C.innerHTML=ye,J=s(),M=a("p"),M.innerHTML=we,K=s(),x=a("p"),x.textContent=Ce,Q=s(),H=a("p"),H.innerHTML=Me,X=s(),L=a("p"),L.innerHTML=xe,Z=s(),P=a("p"),P.textContent=He,ee=s(),b=a("p"),b.innerHTML=Le,te=s(),$=a("p"),$.innerHTML=Pe,ne=s(),k=a("p"),k.innerHTML=be,ie=s(),E=a("p"),E.innerHTML=$e,se=s(),ke(A.$$.fragment),le=s(),S=a("p"),this.h()},l(e){const t=Ve("svelte-u9bgzb",document.head);u=o(t,"META",{name:!0,content:!0}),t.forEach(n),R=l(e),z=o(e,"P",{}),Ee(z).forEach(n),I=l(e),Ae(p.$$.fragment,e),q=l(e),m=o(e,"P",{"data-svelte-h":!0}),r(m)!=="svelte-p2szpz"&&(m.innerHTML=ue),D=l(e),c=o(e,"P",{"data-svelte-h":!0}),r(c)!=="svelte-a9jto8"&&(c.innerHTML=pe),U=l(e),f=o(e,"P",{"data-svelte-h":!0}),r(f)!=="svelte-17hkkpg"&&(f.textContent=me),G=l(e),d=o(e,"P",{"data-svelte-h":!0}),r(d)!=="svelte-99pd09"&&(d.innerHTML=ce),F=l(e),h=o(e,"P",{"data-svelte-h":!0}),r(h)!=="svelte-2lxh28"&&(h.innerHTML=fe),j=l(e),v=o(e,"IMG",{src:!0,alt:!0}),V=l(e),T=o(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-16c4xnh"&&(T.innerHTML=he),W=l(e),_=o(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-1aqi2y9"&&(_.textContent=ve),N=l(e),g=o(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-1a02b6e"&&(g.innerHTML=Te),O=l(e),y=o(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-1fw5nk2"&&(y.innerHTML=_e),Y=l(e),w=o(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-l57l0h"&&(w.innerHTML=ge),B=l(e),C=o(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-1s9e1ul"&&(C.innerHTML=ye),J=l(e),M=o(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-1dgalg9"&&(M.innerHTML=we),K=l(e),x=o(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-pfklwt"&&(x.textContent=Ce),Q=l(e),H=o(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-1gscxsr"&&(H.innerHTML=Me),X=l(e),L=o(e,"P",{"data-svelte-h":!0}),r(L)!=="svelte-8f8b5m"&&(L.innerHTML=xe),Z=l(e),P=o(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-1tnz7cr"&&(P.textContent=He),ee=l(e),b=o(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-j7ufko"&&(b.innerHTML=Le),te=l(e),$=o(e,"P",{"data-svelte-h":!0}),r($)!=="svelte-1ismnd4"&&($.innerHTML=Pe),ne=l(e),k=o(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-j6w94w"&&(k.innerHTML=be),ie=l(e),E=o(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-1biq916"&&(E.innerHTML=$e),se=l(e),Ae(A.$$.fragment,e),le=l(e),S=o(e,"P",{}),Ee(S).forEach(n),this.h()},h(){oe(u,"name","hf:doc:metadata"),oe(u,"content",Be),De(v.src,de="https://raw.githubusercontent.com/huggingface/hf-endpoints-documentation/main/assets/instance_types.png")||oe(v,"src",de),oe(v,"alt","copy curl")},m(e,t){We(document.head,u),i(e,R,t),i(e,z,t),i(e,I,t),ze(p,e,t),i(e,q,t),i(e,m,t),i(e,D,t),i(e,c,t),i(e,U,t),i(e,f,t),i(e,G,t),i(e,d,t),i(e,F,t),i(e,h,t),i(e,j,t),i(e,v,t),i(e,V,t),i(e,T,t),i(e,W,t),i(e,_,t),i(e,N,t),i(e,g,t),i(e,O,t),i(e,y,t),i(e,Y,t),i(e,w,t),i(e,B,t),i(e,C,t),i(e,J,t),i(e,M,t),i(e,K,t),i(e,x,t),i(e,Q,t),i(e,H,t),i(e,X,t),i(e,L,t),i(e,Z,t),i(e,P,t),i(e,ee,t),i(e,b,t),i(e,te,t),i(e,$,t),i(e,ne,t),i(e,k,t),i(e,ie,t),i(e,E,t),i(e,se,t),ze(A,e,t),i(e,le,t),i(e,S,t),ae=!0},p:Ue,i(e){ae||(Se(p.$$.fragment,e),Se(A.$$.fragment,e),ae=!0)},o(e){Re(p.$$.fragment,e),Re(A.$$.fragment,e),ae=!1},d(e){e&&(n(R),n(z),n(I),n(q),n(m),n(D),n(c),n(U),n(f),n(G),n(d),n(F),n(h),n(j),n(v),n(V),n(T),n(W),n(_),n(N),n(g),n(O),n(y),n(Y),n(w),n(B),n(C),n(J),n(M),n(K),n(x),n(Q),n(H),n(X),n(L),n(Z),n(P),n(ee),n(b),n(te),n($),n(ne),n(k),n(ie),n(E),n(se),n(le),n(S)),n(u),Ie(p,e),Ie(A,e)}}}const Be='{"title":"Advanced Setup (Instance Types, Auto Scaling, Versioning)","local":"advanced-setup-instance-types-auto-scaling-versioning","sections":[],"depth":1}';function Je(re){return Ge(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ze extends Fe{constructor(u){super(),je(this,u,Je,Ye,qe,{})}}export{Ze as component};
